#pragma once

#include <string>

namespace mc::psx {
enum class CountryCode : uint16_t {
	Japan = 'B' | ('I' << 8),
	America = 'B' | ('A' << 8),
	Europe = 'B' | ('E' << 8),
	Unknown = 0
};

std::string to_string (CountryCode code);
char to_char (CountryCode code);
uint16_t to_uint16 (CountryCode code);
CountryCode to_country_code (uint16_t code);
} //namespace mc::psx
